      block data bdahwfnc                                                WFNC001

c	modified by leo mcnamara to handle no-field case as well

c-----	last modified 20-mar-87

	implicit real*8 (a-h,o-z)

	character*8 id,ndate,modx,mody,modz,modrin,koll,modsav

C          CALCULATES THE REFRACTIVE INDEX AND ITS GRADIENT USING THE   WFNC002

C          APPLETON-HARTREE FORMULA WITH FIELD, NO COLLISIONS           WFNC003

      COMMON /CONST/ PI,PIT2,PID2,DEGS,RADIAN,K,C,LOGTEN                WFNC004

      COMMON /RIN/ MODRIN(3),COLL,FIELD,SPACE,KAY2,KAY2I,               WFNC005

     1              H,HI,PHPT,PHPTI,PHPR,PHPRI,PHPTH,PHPTHI,PHPPH,PHPPHIWFNC006

     2            ,PHPOM,PHPOMI,PHPKR,PHPKRI,PHPKTH,PHPKTI,PHPKPH,PHPKPIWFNC007

     3            ,KPHPK,KPHPKI,POLAR,POLARI,LPOLAR,LPOLRI,SGN          WFNC008

      COMMON /XX/ MODX(2),X,PXPR,PXPTH,PXPPH,PXPT,HMAX                  WFNC009

      COMMON /YY/ MODY,Y,PYPR,PYPTH,PYPPH,YR,PYRPR,PYRPT,PYRPP,YTH,PYTPRWFNC010

     1           ,PYTPT,PYTPP,YPH,PYPPR,PYPPT,PYPPP                     WFNC011

      COMMON /ZZ/ MODZ,Z(4)                                             WFNC012

      COMMON /RK/ N,STEP,MODE,E1MAX,E1MIN,E2MAX,E2MIN,FACT,RSTART       WFNC013

      COMMON R,TH,PH,KR,KTH,KPH   /WW/ ID(10),W0,W(400)                 WFNC014

      EQUIVALENCE (RAY,W(1)),(F,W(6))                                   WFNC015

      LOGICAL SPACE                                                     WFNC016

      REAL*8 KR,KTH,KPH,K2,KPHPK,KPHPKI,KAY2,KAY2I,N2,NNP,LPOLAR,LPOLRI WFNC017

	real*8 k,logten

c

	data coll,kay2i,hi,phpti,phpri,phpthi,phpphi,phpomi,phpkri,

     a       phpkti,phpkpi,kphpki,polar,lpolar,x,pxpr,pxpth,pxpph,pxpt,

     a       y,pypr,pypth,pypph,yr,pyrpr,pyrpt,pyrpp,yth,pytpr,pytpt,

     a       pytpp,yph,pyppr,pyppt,pyppp / 35*0.0 /

	data field / 1.0 /

	data modrin,modz / 'appleton','-hartree',' formula',' ' /

        data modx(1)/ 'IRIpro' / 

       end

